| Home | Libraries | People | FAQ | More

##### basic_raw_socket::basic_raw_socket (1 of 4 overloads)

Construct a `basic_raw_socket` without opening it.

    basic_raw_socket(
        boost::asio::io_service & io_service);

This constructor creates a raw socket without opening it. The `open()` function must be called before data can be sent or received on the socket.

###### Parameters

io_service

  The `io_service` object that the raw socket will use to dispatch handlers for any asynchronous operations performed on the socket.